# faucet

Faucet provides Gitflow integration with Capistrano, without unessecary restrictions to the deploy process. Our goal with faucet was to improve on capistrano-gitflow by allowing you to tag a staging release (or not tag a staging release),
deploy from the HEAD of whatever branch you are on (feature, develop, hotfix, etc), and deploy to production from bonafide gitflow release tags. 


Works *only* with Capistrano 3+.

### Installation

Add this to `Gemfile`:

    group :development do
      gem 'capistrano', '~> 3.1'
      gem 'capistrano-faucet', '~> 1.0'
    end

And then:

    $ bundle install

### Setup and usage

Add this line to `Capfile`, after `require 'capistrano/rails/assets'`

    require 'capistrano/capistrano_faucet'


